Export users list to CSV
Status: Closed Start date: 2010-07-25

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 4.0.0   

Description

It would be better if Redmine can export all users' information to CSV file.

It is difficult for an administrator to manage users without this feature.

Related issues:

Related to Redmine - Feature #33126: Support custom fields when exporting use... Closed

Associated revisions

Revision 17463 - 2018-08-05 14:30 - Go MAEDA

Export users list to CSV (#5957).

Contriubted by Mizuki ISHIKAWA and Yuki Kita.

History

#1 - 2010-07-25 16:08 - Yuki Kita

- File users_export2.patch added

Fixed

The previous version was redundant

#2 - 2010-07-25 16:13 - Yuki Kita

- File users_export3.patch added

Fixed again

#3 - 2011-02-15 15:03 - David Escala

- File users_export4.patch added

Thanks for sharing this patch!

I have updated it to apply cleanly to 1.1-stable.

#4 - 2017-06-22 09:25 - Mizuki ISHIKAWA

- File users_csv_link.png added

- File users_csv.png added

- File users_export5.patch added

I do appreciate Yuki Kita and David Escala work.

I think this feature is very useful for security audit in an organization. Probably there are so many people who want this feature.

I have updated the patch:

Compatible with latest trunk (r16680)

Add status to field.

Remove custom_fields from export contents because it take very long time to export thousands users.

Add tests.

Link to export CSV

 users_csv_link.png 
https://www.redmine.org/projects/redmine/repository/svn/revisions/16680


exported CSV

 users_csv.png 

#5 - 2017-06-23 12:04 - Go MAEDA

- Target version set to 4.1.0

The patch works fine and passed all test. Looks good to me.

I think 3.4.0 is feature freezing now, so setting target version to 3.5.0.

#6 - 2017-09-18 18:57 - Brian Schwartz

From the list of users page in Admin, you can just right click and save as HTML.

Then open the file in excel and extract the user data you need.

It's the easy way, and I figured it out because the patch was not working for me.

~ Brian

#7 - 2017-11-10 07:33 - Mizuki ISHIKAWA

- File users_export6.patch added

Brian Schwartz, Thank you for trying users_export5.patch.

I fixed users_export5.patch to work on latest trunk (r17022)

#8 - 2018-07-16 15:23 - Go MAEDA

Mizuki, maybe you can simplify the patch because array constant LABEL_BY_STATUS was introduced by #15201 so your patch does not need to

introduce STATUS_NAMES and rewrite users_status_options_for_select, css_classes and users_status_options_for_select method.

#9 - 2018-07-17 08:05 - Mizuki ISHIKAWA

- File users_export7.patch added

Go MAEDA wrote:

Mizuki, maybe you can simplify the patch because array constant LABEL_BY_STATUS was introduced by #15201 so your patch does not need

to introduce STATUS_NAMES and rewrite users_status_options_for_select, css_classes and users_status_options_for_select method.

 Thank you for telling me the new change information.

I fixed the patch.

In addition, I also made changes according to #26279.

#10 - 2018-08-05 14:42 - Go MAEDA

- Subject changed from Export all users' information to Export users list to CSV

- Category changed from Administration to Accounts / authentication

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. thank you all to those who contributed to this issue.

#11 - 2020-04-04 03:49 - Go MAEDA

- Related to Feature #33126: Support custom fields when exporting users to CSV added

Files

users_export.patch 3.14 KB 2010-07-25 Yuki Kita

users_export2.patch 3.03 KB 2010-07-25 Yuki Kita

users_export3.patch 2.95 KB 2010-07-25 Yuki Kita

users_export4.patch 2.88 KB 2011-02-15 David Escala

users_csv_link.png 136 KB 2017-06-22 Mizuki ISHIKAWA

users_csv.png 79.3 KB 2017-06-22 Mizuki ISHIKAWA
https://www.redmine.org/projects/redmine/repository/svn/revisions/17022
https://www.redmine.org/issues/15201
https://www.redmine.org/issues/15201
https://www.redmine.org/issues/26279


users_export5.patch 8.53 KB 2017-06-22 Mizuki ISHIKAWA

users_export6.patch 8.51 KB 2017-11-10 Mizuki ISHIKAWA

users_export7.patch 6.44 KB 2018-07-17 Mizuki ISHIKAWA
